Check Point Advisories

HP OpenView Network Node Manager Message Handling Buffer Overflow (CVE-2008-1842)

Check Point Reference: CPAI-2008-064
Date Published: 24 Apr 2008
Severity: Critical
Last Updated: 14 May 2015
Source:
Industry Reference:CVE-2008-1842
Protection Provided by:

Security Gateway
R80, R77, R76, R75, R71, R70

Who is Vulnerable?
Vulnerability Description The Network Node Manager (NNM) is an HP OpenView product which manages networks. It determines and displays physical and logical connectivity in networks, as well as information referring to protocols running over the network.A buffer overflow vulnerability has been discovered in HP OpenView Network Node Manager. The vulnerability is due to a boundary error in HP OpenView Network Node Manager that fails to properly process user requests. In order to exploit this vulnerability, an attacker can send a specially crafted request to a vulnerable host. Successful exploitation may allow the attacker to inject and execute arbitrary code on the target system.

Protection Overview

This protection will detect and block crafted requests sent to the vulnerable server.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75 / R71 / R70

  1. In the IPS tab, click Protections and find the HP OpenView Network Node Manager Message Handling Buffer Overflow protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  HP OpenView Protection Violation.
Attack Information:  HP OpenView Network Node Manager Message Handling Buffer Overflow

This website uses cookies to ensure you get the best experience. More Info Got it, Thanks!